print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricerhum = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local rhumHudFile = "Paletten/hud_fill_rhum.dds"
	local rhumHudFileSmall = "Paletten/hud_fill_rhum_small.dds"
	
    local rhumFilType = g_fillTypeManager:addFillType("RHUM", g_i18n:getText("rhum"), true, pricerhum * 2.2, 0.00045, math.rad(10), rhumHudFile, rhumHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasrhum=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasrhum=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "RHUM" then
		hasrhum=true
	end;
		
end;

		if hasmaize and not hasrhum then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("RHUM")
		local price = g_fillTypeManager:getFillTypeByName("RHUM").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("RHUM")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)